Runtime

## org.eclipse.gmf.runtime.diagram.core.services
Class ViewService.ProviderDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
              org.eclipse.gmf.runtime.diagram.core.services.ViewService.ProviderDescriptor

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener

Enclosing class:
  ViewService

    protected static class ViewService.ProviderDescriptor

extends Service.ProviderDescriptor

A descriptor for `ISemanticProvider` defined by a configuration element.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`A_CLASS, A_PLUGIN, E_POLICY, policy, policyInitialized, provider`

Constructor Summary
`ViewService.ProviderDescriptor(IConfigurationElement element)` Constructs a `ISemanticProvider` descriptor for the specified configuration element.

Method Summary
`boolean` `provides(IOperation operation)` Indicates whether this provider descriptor can provide the functionality described by the specified `operation`.
`java.lang.String` `toString()` the default implementation is overriden here to make it easier to debug XML providers, now when you select the ProviderDescriptor in the debug window the provider class name will be displayed

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`getElement, getPolicy, getProvider, providerChanged`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### ViewService.ProviderDescriptor

    public ViewService.ProviderDescriptor(IConfigurationElement element)

  Constructs a `ISemanticProvider` descriptor for the specified configuration element.

  Parameters:
    `element` - The configuration element describing the provider.

Method Detail

### provides

    public boolean provides(IOperation operation)

  Description copied from class: `Service.ProviderDescriptor`
  Indicates whether this provider descriptor can provide the functionality described by the specified `operation`.

  Specified by:
    `provides` in interface `IProvider`
  Overrides:
    `provides` in class `Service.ProviderDescriptor`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this descriptor's policy or provider provides the operation; `false` otherwise.
  See Also:
    `IProvider.provides(org.eclipse.gmf.runtime.common.core.service.IOperation)`

### toString

    public java.lang.String toString()

  the default implementation is overriden here to make it easier to debug XML providers, now when you select the ProviderDescriptor in the debug window the provider class name will be displayed

  Overrides:
    `toString` in class `Service.ProviderDescriptor`
  Returns:
    the provider class name

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.